# Generated from fluentd-test-1.11.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluentd-test

Name: rubygem-%{gem_name}
Version: 1.11.4
Release: 1%{?dist}
Summary: Fluentd event collector
License: Apache-2.0
URL: https://www.fluentd.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(flexmock) >= 2.0
# BuildRequires: rubygem(flexmock) < 3
# BuildRequires: rubygem(parallel_tests) >= 0.15.3
# BuildRequires: rubygem(parallel_tests) < 0.16
# BuildRequires: rubygem(simplecov) >= 0.7
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(rr) >= 1.0
# BuildRequires: rubygem(rr) < 2
# BuildRequires: rubygem(timecop) >= 0.9
# BuildRequires: rubygem(timecop) < 1
# BuildRequires: rubygem(test-unit) >= 3.3
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(test-unit-rr) >= 1.0
# BuildRequires: rubygem(test-unit-rr) < 2
# BuildRequires: rubygem(oj) >= 2.14
# BuildRequires: rubygem(oj) < 4
# BuildRequires: rubygem(ext_monitor) >= 0.1.2
# BuildRequires: rubygem(ext_monitor) < 0.2
# BuildRequires: rubygem(async-http)
BuildArch: noarch

%description
Fluentd is an open source data collector designed to scale and simplify log
management. It can collect, process and ship many kinds of data in near
real-time.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}

%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Aug 23 2021 mockbuilder - 1.11.4-1
- Initial package
